<template>
  <div style="width: 100%;height: 100%"></div>
</template>
<style lang="scss" scoped>
.ws-header {
  min-height: 56px;
  padding: 4px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #3c8dbc;
}

.ws-main >>> .el-button--text {
  font-weight: 700 !important;
}

.ws-header .ws-header-user {
  margin-left: 30px;
  text-align: center;
}

.ws-header-user .top-user-info {
  height: auto;
  padding: 4px;
  color: #fff;
}

.ws-header-right {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.ws-header-right .el-tag {
  margin: 6px;
}

.clock {
  display: block;
  font-size: 14px;
  font-weight: bold;
  color: #fff;
}

.ws-header-form {
  display: flex;
  flex-direction: row;

  /deep/ input {
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    width: 150px;
  }
}

.ws-header-user .top-staff-post {
  background-color: #e6a23c;
  min-width: 100px;
}

.ws-main {
  padding: 6px;
  height: calc(100% - 50px);
  background-color: #f5f5f5;
  display: flex;
  flex-direction: row;
  justify-content: space-around;

  .head > .el-tabs__header.is-top {
    background-color: #fff;
    padding: 0 40px;
    line-height: 50px;
  }
}

.task-list {
  width: 28%;
  height: 100%;
  overflow-y: auto;
}

.production {
  width: 70%;
  background: #fff;
  border: 1px solid rgba(0, 0, 0, 0.125);
  -moz-box-shadow: 0px 2px 8px 2px #d9d9d9;
  -webkit-box-shadow: 0px 2px 8px 2px #d9d9d9;
  box-shadow: 0px 2px 8px 2px #d9d9d9;
  overflow-y: auto;

  td {
    padding: 3px 0px !important;
    color: rgba(0, 0, 0, 0.9);
  }

  th {
    padding: 6px 0px !important;
  }

  /deep/ .el-card {
    border: 1px solid #cfd5de;
  }

  /deep/ .el-card__header {
    font-size: 14px;
    font-weight: 700;
    border-bottom: none !important;
    padding: 10px 20px !important;
  }

  .el-tab-pane {
    padding: 0 20px;
  }
}

.worker:hover {
  background-color: #bae7ff;
}

.worker {
  padding: 0 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;

  .time {
    display: flex;
    align-items: center;
  }

  .time img {
    width: 15px;
    height: 15px;
  }

  .info {
    display: flex;
    flex-direction: row;
  }

  .info div {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}

.avatar {
  width: 30px;
  height: 30px;
  margin: 10px;
}

.worker-btn {
  bottom: 10px;
  position: fixed;
  margin: 10px 20px;
  width: 300px;
}

.card-checked-bgcolor {
  background-color: #bae7ff;
}

.el-drawer__header {
  display: none;
}

.el-drawer__body {
  padding: 20px 20px;
}

.el-drawer {
  width: 400px !important;
}

.operateButtonClass {
  width: 100px;
  height: 40px;
  background: #006eff;
  box-shadow: 0 10px 20px 0 rgba(19, 41, 75, 0.2);
  left: -55px;
  transition: left 0.35s ease-out;
}

.operateButtonClass:hover {
  left: 0px;
  transition: left 0.35s ease-out;
}

.duty-no {
  font-size: 14px;
  margin-right: 50px;
}
</style>
<script>
export default {
  components: {},
  data() {
    return {}
  },
  computed: {},
  created() {},
  watch: {},
  methods: {}
}
</script>
